ur_rna.StructureEditor.services

## Class SceneColorizer.NumberRangeList

- java.lang.Object
- - ur_rna.StructureEditor.services.SceneColorizer.NumberRangeList

- Enclosing class:
    SceneColorizer

      public static class SceneColorizer.NumberRangeList
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SceneColorizer.DoubleComparer` | `cmp`
    `java.awt.Color[]` | `colors`
    `SceneColorizer.Comparison` | `comparison`
    `java.awt.Color` | `defaultColor`
    `double[]` | `limits`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberRangeList()`
    `NumberRangeList(double[] limits, java.awt.Color[] colors, SceneColorizer.Comparison cmp, java.awt.Color defaultColor)`
    `NumberRangeList(double[] limits, java.awt.Color[] colors, java.lang.String comparisonSymbol, java.awt.Color defaultColor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `lookup(double d)`
    `void` | `sortForComparison()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cmp

          public SceneColorizer.DoubleComparer cmp

    - #### colors

          public java.awt.Color[] colors

    - #### comparison

          public SceneColorizer.Comparison comparison

    - #### defaultColor

          public java.awt.Color defaultColor

    - #### limits

          public double[] limits

  - ### Constructor Detail

    - #### NumberRangeList

          public NumberRangeList()

    - #### NumberRangeList

          public NumberRangeList(double[] limits,
                                 java.awt.Color[] colors,
                                 SceneColorizer.Comparison cmp,
                                 java.awt.Color defaultColor)

    - #### NumberRangeList

          public NumberRangeList(double[] limits,
                                 java.awt.Color[] colors,
                                 java.lang.String comparisonSymbol,
                                 java.awt.Color defaultColor)

  - ### Method Detail

    - #### lookup

          public java.awt.Color lookup(double d)

    - #### sortForComparison

          public void sortForComparison()